<?php
declare(strict_types=1);

use FiloBlu\Refilo\Helper\Url;
use FiloBlu\Refilo\Remote\Entity\Provider\CategoryUrlProvider;
use FiloBlu\Refilo\Remote\Entity\Provider\HomePageUrlProvider;
use FiloBlu\Refilo\Remote\Entity\UrlRewrite;
use FiloBlu\Refilo\Remote\Entity\UrlRewriteFactory;
use Magento\Framework\App\Bootstrap;

require __DIR__ . '/../../../../../app/bootstrap.php';
$params = $_SERVER;
$bootstrap = Bootstrap::create(BP, $params);
$objectManager = $bootstrap->getObjectManager();
//
//
///** @var \FiloBlu\Refilo\Remote\Entity\Provider\HomePageUrlProvider $provider */
//$provider = $objectManager->get(HomePageUrlProvider::class);

/** @var \FiloBlu\Refilo\Remote\Entity\Provider\CategoryUrlProvider $provider */
$provider = $objectManager->get(CategoryUrlProvider::class);
$data = iterator_to_array($provider);

echo 'done';
